﻿@model CoursesSec001.Models.DataModels.StudentIndexDataModel

<h1 class="bd-title text-center" id="content">Estudiantes</h1>

<div class="row align-content-center">
	<div class="offset-2 col-8 mt-2">
		<div class="card">
			<table class="table table-borderless">
				<thead>
					<tr>
						<th scope="col">#</th>
						<th scope="col">Nombre</th>
						<th scope="col">Apellido</th>
						<th scope="col">Fecha inscripción</th>
						<th scope="col">Acciones</th>
					</tr>
				</thead>
				<tbody>
					@{
						int count = 0;
					}
					@foreach (var student in Model.Students)
					{
						count++;
						<tr>
							<th scope="row">@count</th>
							<td>@student.FirstName</td>
							<td>@student.LastName</td>
							<td>
								@if (student.EnrollmentDate.HasValue)
								{
									@student.EnrollmentDate.Value.ToShortDateString()
									;
								}
							</td>
							<td>
								<a asp-controller="Enrollment" asp-action="Create" asp-route-studentId="@student.ID" class="btn btn-sm btn-outline-primary">
									<i class="far fa-address-book"></i>
								</a>
								<a asp-controller="Student" asp-action="Edit" asp-route-studentId="@student.ID" class="btn btn-sm btn-outline-primary">
									<i class="far fa-edit"></i>
								</a>
							</td>
						</tr>
					}
				</tbody>
			</table>
		</div>
	</div>

</div>